Name:           ocaml-bin-prot
Version:        108.07.01
Release:        %mkrel 2
Summary:        Automated code generation for converting OCaml values to/from a type-safe binary protocol
License:        LGPL
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/bin_prot-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  ncurses-devel

%description
  This library contains functionality for reading and writing OCaml-values
in a type-safe binary protocol. These functions are extremely efficient and
provide users with a convenient and safe way of performing I/O on any
extensionally defined data type. This means that functions, objects, and
values whose type is bound through a polymorphic record field are not
supported, but everything else is.

   As of now, there is no support for cyclic or shared values. Cyclic values
will lead to non-termination whereas shared values, besides requiring
significantly more space when encoded, may lead to a substantial increase in
memory footprint when they are read back in.

  Currently only little endian (2) computer architectures are supported.
Some architectures may potentially also suffer from data alignment issues
with this library. Only Intel architectures are currently well-tested. Both
32bit and 64bit architectures are fully supported.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n bin_prot-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc
mv _build/lib/bin_prot.docdir doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE.txt LICENSE-Tywith.txt COPYRIGHT.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/bin_prot
%{_libdir}/ocaml/bin_prot/META
%{_libdir}/ocaml/bin_prot/*.cma
%{_libdir}/ocaml/bin_prot/*.cmi
%{_libdir}/ocaml/bin_prot/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc CHANGES.txt README.md
%doc lib_test/
%doc doc/
%{_libdir}/ocaml/bin_prot/*.a
%{_libdir}/ocaml/bin_prot/*.cmxa
%{_libdir}/ocaml/bin_prot/*.mli
%{_libdir}/ocaml/bin_prot/*.ml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319753
- constrain the set of libs from janest to be the same version
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301547
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300227
- provide docs
- updated to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 21 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 273194
- update to new version (new upstream) 108.00.02

* Thu Jan 12 2012 blue_prawn <blue_prawn> 2.0.1-1.mga2
+ Revision: 195334
- imported package ocaml-bin-prot

